Subject: Re: [bug#41083] gnu: xfe: Fix hard-coded fhs directories.
From: Nicolas Goaziou <[email-masked]>
To: Raghav Gururajan <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Wed, 06 May 2020 17:39:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Raghav Gururajan <[email-masked]> writes:

> Please find the updated patch attached with this email.

Thank you. I applied it, with the following few cosmetics changes.

> Subject: [PATCH] gnu: xfe: Fix hard-coded fhs directories.
>
> * gnu/packages/disk.scm (xfe):
> [arguments]: Remove phase 'patch-xfe-paths.
> [arguments]: Add phases 'patch-bin-dirs and 'patch-share-dirs.

I merged these two lines.

> +           (lambda* (#:key inputs #:allow-other-keys)
> +             (let*
> +                 ((bash (assoc-ref inputs "bash"))

I moved the bash binding onto the same line as let*.

> +           (lambda* (#:key outputs #:allow-other-keys)
> +             (let*
> +                 ((out (assoc-ref outputs "out"))

Ditto.

Regards,

-- 
Nicolas Goaziou